package com.zhongshu.card.client.type;

import lombok.Getter;

/**
 * 统计类型
 */
public enum StatisticType {
    Year("年", "year"), // 数据库字段
    Month("月", "month"),
    Week("周", "week"),
    HourOfDay("小时", "hourOfDay"),
    ;

    @Getter
    private String remark;

    @Getter
    private String fieldName;

    StatisticType(String remark, String fieldName) {
        this.remark = remark;
        this.fieldName = fieldName;
    }
}
